package com.gyee.frame.model.custom;

public class PointData {

	private double pointValueInDouble;

	private Long pointTime;

	private String pointValue;

	private String pointName;// z自定义名称

	private String ednaId;// edna全局id

	public String getEdnaId() {
		return ednaId;
	}

	public String getPointName() {
		return pointName;
	}

	public Long getPointTime() {
		return pointTime;
	}

	public String getPointValue() {
		return pointValue;
	}

	public double getPointValueInDouble() {

		if(Double.isNaN(this.pointValueInDouble) || Double.isInfinite(this.pointValueInDouble))
		{
			return 0.0;
		}else
		{
			return pointValueInDouble;
		}

	}

	public void setEdnaId(String ednaId) {
		this.ednaId = ednaId;
	}

	public void setPointName(String pointName) {
		this.pointName = pointName;
	}

	public void setPointTime(Long pointTime) {
		this.pointTime = pointTime;
	}

	public void setPointValue(String pointValue) {
		this.pointValue = pointValue;
	}

	public void setPointValueInDouble(double pointValueInDouble) {
		this.pointValueInDouble = pointValueInDouble;
	}

}
